Wir nutzen Cookies, um Ihnen eine optimale Nutzung dieser Webseite zu ermöglichen.Visit our Privacy Policy to learn more. Wir nehmen an, dass Sie damit einverstanden sind, falls Sie diese Webseite weiter besuchen.

Ihre Cookie-Einstellungen
Ihre Einstellungen wurden aktualisiert.
Damit die Änderungen wirksam werden, löschen Sie bitte Ihre Browser-Cookies und den Cache und laden dann die Seite neu.

Werk #7425: mk_postgres, postgres_instances: fix plugin output for older operating systems

KomponenteChecks & Agents
Titelmk_postgres, postgres_instances: fix plugin output for older operating systems
Datum2019-06-14 16:00:36
Checkmk EditionCheckmk Raw Edition (CRE)
Checkmk Version1.6.0b3,1.7.0i1,1.5.0p19
LevelTrivial Change
KlasseBug Fix
KompatibilitätIncompatible - Manual interaction might be required

mk_postgres used the pgrep command to find the running PostgreSQL instances. Unfortunately, version 1.5.0p3 added a command line argument that is not supported on older operating systems like e.g. SLES 11, but only on newer ones like e.g. SLES 12. As a result Checkmk did not find any PostgreSQL instances on older operating systems.

To resolve the issue, the fixed version of the mk_postgres plugin has to be deployed on the affected hosts.